Download mandate request to client answer document
import requests
url = "https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/ \
--header 'Authorization: Bearer <token>'"<string>"{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Requests to client
Download mandate request to client answer document
Documents added to one v2 answer before its review task starts.
GET
/
v2
/
mandates
/
{mandate_id}
/
requests-to-client
/
{request_id}
/
answer
/
documents
/
{id}
/
download
/
Download mandate request to client answer document
import requests
url = "https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/mandates/{mandate_id}/requests-to-client/{request_id}/answer/documents/{id}/download/ \
--header 'Authorization: Bearer <token>'"<string>"{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
caseBearerAuthpartnerBearerAuth
Company-bound Case Management API key — the standard credential for this API.
Headers
Required when a Partner key calls the Case Management API; rejected for direct Case keys. Contains the entitled paywise company UUID.
Path Parameters
UUID of the document in this request.
UUID of the parent accepted case in this request.
UUID of the parent client request in this request.
Response
The response is of type file.
